Add Peers To Session
curl --request POST \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/sessions/{session_id}/peers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/sessions/{session_id}/peers"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/sessions/{session_id}/peers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"is_active": true,
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"configuration": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}sessions
Add Peers To Session
Add Peers to a Session. If a Peer does not yet exist, it will be created automatically.
POST
/
v3
/
workspaces
/
{workspace_id}
/
sessions
/
{session_id}
/
peers
Add Peers To Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of peer IDs (with session-level configuration) to add to the session
Show child attributes
Show child attributes
⌘I